## ns3 3.17%2Bdfsg

=== pybindgen-0.16.0.825/wscript ===
## -*- python -*-
## (C) 2007-2012 Gustavo J. A. M. Carneiro

from waflib import Options
from waflib import Build

import Scripting
# Scripting.excludes.remove('Makefile')
Scripting.dist_format = 'zip'

from waflib import Configure
#Configure.autoconfig = True

from waflib import Logs

#from Params import fatal

import os
import subprocess
import shutil
import sys
import Configure
import tarfile
import re
import types

#import Task
#Task.file_deps = Task.extract_deps


APPNAME='pybindgen'
top = '.'
out = 'build'



## Add the pybindgen dir to PYTHONPATH, so that the examples and tests are properly built before pybindgen is installed.
if 'PYTHONPATH' in os.environ:
    os.environ['PYTHONPATH'] = os.pathsep.join([os.getcwd(), os.environ['PYTHONPATH']])
else:
    os.environ['PYTHONPATH'] = os.getcwd()


def _get_version_from_bzr_lib(path):
    import bzrlib.tag, bzrlib.branch
    fullpath = os.path.abspath(path)
    if sys.platform == 'win32':
        fullpath = fullpath.replace('\\', '/')
        fullpath = '/' + fullpath
    branch = bzrlib.branch.Branch.open('file://' + fullpath)
    tags = bzrlib.tag.BasicTags(branch)
    #print "Getting version information from bzr branch..."
    branch.lock_read()
    try:
        history = branch.iter_merge_sorted_revisions(direction="reverse")
        version = None
        extra_version = []
        for revid, depth, revno, end_of_merge in history:
            for tag_name, tag_revid in tags.get_tag_dict().iteritems():
                #print tag_revid, "<==>", revid
                if tag_revid == revid:
                    #print "%s matches tag %s" % (revid, tag_name)
                    version = [int(s) for s in tag_name.split('.')]
                    ## if the current revision does not match the last
                    ## tag, we append current revno to the version
                    if tag_revid != branch.last_revision():
                        extra_version = [branch.revno()]
                    break
            if version:
                break
    finally:
        branch.unlock()
    assert version is not None
    _version = version + extra_version
    return _version


def _get_version_from_bzr_command(path):
    # get most recent tag first
    most_recent_tag = None
    proc = subprocess.Popen(['bzr', 'log', '--short'], stdout=subprocess.PIPE)
    reg = re.compile('{([0-9]+)\.([0-9]+)\.([0-9]+)}')
    for line in proc.stdout:
        result = reg.search(line)
        if result is not None:
            most_recent_tag = [int(result.group(1)), int(result.group(2)), int(result.group(3))]
            break
    proc.stdout.close()
    proc.wait()
    assert most_recent_tag is not None
    # get most recent revno
    most_recent_revno = None
    proc = subprocess.Popen(['bzr', 'revno'], stdout=subprocess.PIPE)
    most_recent_revno = int(proc.stdout.read().strip())
    proc.wait()
    version = most_recent_tag + [most_recent_revno]
    return version
    

_version = None
def get_version_from_bzr(path):
    global _version
    if _version is not None:
        return _version
    try:
        import bzrlib.tag, bzrlib.branch
    except ImportError:
        return _get_version_from_bzr_command(path)
    else:
        return _get_version_from_bzr_lib(path)

    
def get_version(path=None):
    if path is None:
        path = srcdir
    try:
        return '.'.join([str(x) for x in get_version_from_bzr(path)])
    except ImportError:
        return 'unknown'

def generate_version_py(force=False, path=None):
    """generates pybindgen/version.py, unless it already exists"""

    filename = os.path.join('pybindgen', 'version.py')
    if not force and os.path.exists(filename):
        return

    if path is None:
        path = top
    version = get_version_from_bzr(path)
    dest = open(filename, 'w')
    if isinstance(version, list):
        dest.write('__version__ = %r\n' % (version,))
        dest.write('"""[major, minor, micro, revno], '
                   'revno omitted in official releases"""\n')
    else:
        dest.write('__version__ = "%s"\n' % (version,))
    dest.close()
    

# http://coreygoldberg.blogspot.com/2009/07/python-zip-directories-recursively.html
def zipper(dir, zip_file, archive_main_folder=None):
    import zipfile
    zip = zipfile.ZipFile(zip_file, 'w', compression=zipfile.ZIP_DEFLATED)
    root_len = len(os.path.abspath(dir))
    for root, dirs, files in os.walk(dir):
        archive_root = os.path.abspath(root)[root_len:]
        for f in files:
            fullpath = os.path.join(root, f)
            archive_name = os.path.join(archive_root, f)
            if archive_main_folder is not None:
                if archive_name.startswith(os.sep):
                    n = archive_name[len(os.sep):]
                else:
                    n = archive_name
                archive_name = os.path.join(archive_main_folder, n)
            zip.write(fullpath, archive_name, zipfile.ZIP_DEFLATED)
    zip.close()



def options(opt):
    opt.tool_options('python')
    opt.tool_options('compiler_cc')
    opt.tool_options('compiler_cxx')
    opt.tool_options('cflags', tooldir="waf-tools")
    opt.sub_options('examples')


    optgrp = opt.add_option_group("PyBindGen Options")

    if os.path.isdir(".bzr"):
        optgrp.add_option('--generate-version',
                          help=('Generate a new pybindgen/version.py file from version control'
                                ' introspection.  Only works from a bzr checkout tree, and is'
                                ' meant to be used by pybindgen developers only.'),
                          action="store_true", default=False,
                          dest='generate_version')

    optgrp.add_option('--examples',
                      help=('Compile the example programs.'),
                      action="store_true", default=False,
                      dest='examples')

    optgrp.add_option('--disable-pygccxml',
                      help=('Disable pygccxml for unit tests / examples.'),
                      action="store_true", default=False,
                      dest='disable_pygccxml')

    optgrp.add_option('--valgrind',
                      help=('Run unit tests through valgrind.'),
                      action="store_true", default=False,
                      dest='valgrind')



def _check_compilation_flag(conf, flag, mode='cxx', linkflags=None):
    """
    Checks if the C++ compiler accepts a certain compilation flag or flags
    flag: can be a string or a list of strings
    """
    l = []
    if flag:
        l.append(flag)
    if isinstance(linkflags, list):
        l.extend(linkflags)
    else:
        if linkflags:
            l.append(linkflags)
    if len(l) > 1:
        flag_str = 'flags ' + ' '.join(l)
    else:
        flag_str = 'flag ' + ' '.join(l)
    if flag_str > 28:
        flag_str = flag_str[:28] + "..."

    conf.start_msg('Checking for compilation %s support' % (flag_str,))
    env = conf.env.copy()

    if mode == 'cc':
        mode = 'c'

    if mode == 'cxx':
        fname = 'test.cc'
        env.append_value('CXXFLAGS', flag)
    else:
        fname = 'test.c'
        env.append_value('CFLAGS', flag)

    if linkflags is not None:
        env.append_value("LINKFLAGS", linkflags)

    try:
        retval = conf.run_c_code(code='#include <stdio.h>\nint main() { return 0; }\n',
                                 env=env, compile_filename=fname,
                                 features=[mode, mode+'program'], execute=False)
    except Configure.ConfigurationError:
        ok = False
    else:
        ok = (retval == 0)
    conf.end_msg(ok)
    return ok


# starting with waf 1.6, conf.check() becomes fatal by default if the
# test fails, this alternative method makes the test non-fatal, as it
# was in waf <= 1.5
def _check_nonfatal(conf, *args, **kwargs):
    try:
        return conf.check(*args, **kwargs)
    except conf.errors.ConfigurationError:
        return None


def configure(conf):

    conf.check_compilation_flag = types.MethodType(_check_compilation_flag, conf)
    conf.check_nonfatal = types.MethodType(_check_nonfatal, conf)

    ## Write a pybindgen/version.py file containing the project version
    generate_version_py()

    conf.check_tool('command', tooldir="waf-tools")
    conf.check_tool('python')
    conf.check_python_version((2,3))

    try:
        conf.check_tool('compiler_cc')
        conf.check_tool('compiler_cxx')
    except Configure.ConfigurationError:
        Logs.warn("C/C++ compiler not detected.  Unit tests and examples will not be compiled.")
        conf.env['CXX'] = ''
    else:
        conf.check_tool('cflags')
        conf.check_python_headers()

        if not Options.options.disable_pygccxml:
            gccxml = conf.find_program('gccxml')
            if not gccxml:
                conf.env['ENABLE_PYGCCXML'] = False
            else:
                try:
                    conf.check_python_module('pygccxml')
                except Configure.ConfigurationError:
                    conf.env['ENABLE_PYGCCXML'] = False
                else:
                    conf.env['ENABLE_PYGCCXML'] = True

        # -fvisibility=hidden optimization
        if (conf.env['CXX_NAME'] == 'gcc' and [int(x) for x in conf.env['CC_VERSION']] >= [4,0,0]
            and conf.check_compilation_flag('-fvisibility=hidden')):
            conf.env.append_value('CXXFLAGS_PYEXT', '-fvisibility=hidden')
            conf.env.append_value('CCFLAGS_PYEXT', '-fvisibility=hidden')

        # Add include path for our stdint.h replacement, if needed (pstdint.h)
        if not conf.check_nonfatal(header_name='stdint.h'):
            conf.env.append_value('CPPPATH', os.path.join(conf.curdir, 'include'))

    if conf.check_nonfatal(header_name='boost/shared_ptr.hpp'):
        conf.env['ENABLE_BOOST_SHARED_PTR'] = True

    conf.sub_config('benchmarks')
    conf.sub_config('examples')


def build(bld):
    #global g_bld
    #g_bld = bld
    if getattr(Options.options, 'generate_version', False):
        generate_version_py(force=True)

    bld.add_subdirs('pybindgen')

    if bld.cmd == 'check':
        bld.add_subdirs('tests')

    if Options.options.examples:
        bld.add_subdirs('examples')

    if 0: # FIXME

        if Options.commands.get('bench', False) or Options.commands['clean']:
            bld.add_subdirs('benchmarks')


check_context = Build.BuildContext
def bench(bld):
    "run the benchmarks; requires many tools, used by maintainers only"
    Scripting.build(bld)
    env = g_bld.env

    print "Running benchmarks..."
    retval = subprocess.Popen([env['PYTHON'], '-O', 'benchmarks/bench.py',
                               "build/default/benchmarks/results.xml", ' '.join(env['CXXFLAGS_PYEXT'] + env['CXXFLAGS'])]).wait()
    if retval:
        raise SystemExit(retval)

    print "Generating benchmarks report..."
    retval = subprocess.Popen([env['PYTHON'], '-O', 'benchmarks/plotresults.py',
                               "build/default/benchmarks/results.xml",
                               "build/default/benchmarks/results"]).wait()
    if retval:
        raise SystemExit(retval)


from waflib import Context, Build, Scripting
class CheckContext(Context.Context):
    """run the unit tests"""
    cmd = 'check'

    def execute(self):

        # first we execute the build
	bld = Context.create_context("build")
	bld.options = Options.options # provided for convenience
	bld.cmd = "check"
	bld.execute()


        if Options.options.verbose:
            verbosity = ['-v']
        else:
            verbosity = []

        if Options.options.valgrind:
            valgrind = ['valgrind', '--leak-check=full', '--leak-resolution=low']
        else:
            valgrind = []

        print "Running pure python unit tests..."
        python = bld.env['PYTHON'][0]
        retval1 = subprocess.Popen([python, 'tests/test.py'] + verbosity).wait()

        env = bld.env

        retvals = []

        if env['CXX']:

=== pybindgen-0.16.0.825/pybindgen/wscript ===
## -*- python -*-

def build(bld):
    
    obj = bld.new_task_gen('py')
    obj.source = obj.path.ant_glob('*.py')
    obj.source.append('version.py')
    obj.install_path = '${PYTHONDIR}/pybindgen'
    obj.prio = 50

    obj = bld.new_task_gen('py')
    obj.source = obj.path.ant_glob('typehandlers/*.py')
    obj.install_path = '${PYTHONDIR}/pybindgen/typehandlers'
    obj.prio = 50

    obj = bld.new_task_gen('py')
    obj.source = obj.path.ant_glob('typehandlers/ctypeparser/*.py')
    obj.install_path = '${PYTHONDIR}/pybindgen/typehandlers/ctypeparser'
    obj.prio = 50

=== pybindgen-0.16.0.825/tests/wscript ===
## -*- python -*-
#import Action
#import Object
#import Params
import Task

import sys
import os.path
import os
import subprocess

# uncomment to enable profiling information
# epydoc uses the profile data to generate call graphs
#os.environ["PYBINDGEN_ENABLE_PROFILING"] = ""


if 0:
    DEPRECATION_ERRORS = '-Werror::DeprecationWarning' # deprecations become errors
else:
    DEPRECATION_ERRORS = '-Wdefault::DeprecationWarning' # normal python behaviour


def build(bld):
    env = bld.env

    env['TOP_SRCDIR'] = bld.srcnode.abspath()

    gen = bld.new_task_gen(
        features='command',
        source='test-generation.py',
        target='test.cc',
        command='${PYTHON} ${SRC[0]} ${TOP_SRCDIR} > ${TGT[0]}')

    if env['CXX']:
        obj = bld.new_task_gen(features='cxx pyext')
        obj.source = 'test.cc'
        if env['CXX_NAME'] == 'gcc':
            obj.env.append_value('CXXFLAGS', ['-Werror', '-Wno-unused'])
    
    ## manual code generation using simple pybindgen API calls
    bindgen = bld.new_task_gen(
        features='command',
        source='foomodulegen.py',
        target='foomodule.cc',
        command='${PYTHON} %s ${SRC[0]} ${TOP_SRCDIR} > ${TGT[0]}' % (DEPRECATION_ERRORS,))

    if env['CXX']:
        obj = bld(features='cxx cxxshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule.cc'
            ]
        obj.target = 'foo'
        obj.install_path = None
        obj.env.append_value("INCLUDES", '.')

    ## automatic code scanning using gccxml
    if env['ENABLE_PYGCCXML']:
        ### Same thing, but using gccxml autoscanning

        bld.new_task_gen(
            features='command',
            source='foomodulegen-auto.py foo.h',
            target='foomodule2.cc foomodulegen_generated.py',
            command='${PYTHON} %s ${SRC[0]} ${SRC[1]} ${cpp_path_repr} ${TGT[1]} > ${TGT[0]}' % (DEPRECATION_ERRORS,),
            variables=dict(cpp_path_repr=repr(bindgen.env['INCLUDES']+bindgen.env['INCLUDES_PYEXT'])))

        obj = bld.new_task_gen(features='cxx cxxshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule2.cc'
            ]
        obj.target = 'foo2'
        obj.install_path = None
        obj.env.append_value("INCLUDES", '.')

        ### Now using the generated python script

        bld.new_task_gen(
            features='command',
            source='foomodulegen3.py foomodulegen_generated.py',
            target='foomodule3.cc',
            command='${PYTHON} %s ${SRC[0]} ${TGT[0]} > ${TGT[0]}' % (DEPRECATION_ERRORS,))

        ## yes, this global manipulation of PYTHONPATH is kind of evil :-/
        ## TODO: add WAF command-output support for customising command OS environment
        os.environ["PYTHONPATH"] = os.pathsep.join([os.environ.get("PYTHONPATH", ''), bindgen.path.get_bld().abspath()])

        obj = bld.new_task_gen(features='cxx cxxshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule3.cc'
            ]
        obj.target = 'foo3'
        obj.install_path = None # do not install
        obj.env.append_value("INCLUDES", '.')

        ## ---

        bld.new_task_gen(
            features='command',
            source='foomodulegen-auto-split.py foo.h',
            target='foomodulegen_split.py foomodulegen_module1.py foomodulegen_module2.py',
            command='${PYTHON} %s ${SRC[0]} ${SRC[1]} ${cpp_path_repr} ${TGT[0]} ${TGT[1]} ${TGT[2]}' % (DEPRECATION_ERRORS,),
            variables=dict(cpp_path_repr=repr(bindgen.env['INCLUDES']+bindgen.env['INCLUDES_PYEXT'])))

        bld.new_task_gen(
            features='command',
            source=[
                'foomodulegen4.py',
                'foomodulegen_split.py',
                'foomodulegen_module1.py',
                'foomodulegen_module2.py',
                ],
            target=[
                'foomodule4.cc',
                'foomodule4.h',
                'foomodulegen_module1.cc',
                'foomodulegen_module2.cc',
                ],
            command='${PYTHON} %s ${SRC[0]} ${TGT[0]}' % (DEPRECATION_ERRORS,))


        obj = bld.new_task_gen(features='cxx cxxshlib pyext')
        obj.source = [
            'foo.cc',
            'foomodule4.cc',
            'foomodulegen_module1.cc',
            'foomodulegen_module2.cc',
            ]
        obj.target = 'foo4'
        obj.install_path = None # do not install
        obj.env.append_value("INCLUDES", '.')

    ## pure C tests
    bld.add_subdirs('c-hello')

    ## boost tests
    bld.add_subdirs('boost')

=== ns-3.17/doc/models/Makefile ===
EPSTOPDF = epstopdf
DIA = dia
CONVERT = convert

SRC = ../../src
# Temporary source directory, for build
SOURCETEMP = source-temp
FIGURES = $(SOURCETEMP)/figures

# list all model library .rst files that need to be copied to $SOURCETEMP
SOURCES = \
	source/conf.py \
	source/_static \
	source/index.rst \
	source/replace.txt \
	source/organization.rst \
	source/internet-models.rst \
	source/network.rst \
	source/emulation-overview.rst \
	$(SRC)/antenna/doc/source/antenna.rst \
	$(SRC)/antenna/doc/source/antenna-design.rst \
	$(SRC)/antenna/doc/source/antenna-user.rst \
	$(SRC)/antenna/doc/source/antenna-testing.rst \
	$(SRC)/aodv/doc/aodv.rst \
	$(SRC)/applications/doc/applications.rst \
	$(SRC)/bridge/doc/bridge.rst \
	$(SRC)/brite/doc/brite.rst \
	$(SRC)/buildings/doc/source/buildings.rst \
	$(SRC)/buildings/doc/source/buildings-design.rst \
	$(SRC)/buildings/doc/source/buildings-user.rst \
	$(SRC)/buildings/doc/source/buildings-testing.rst \
	$(SRC)/buildings/doc/source/buildings-references.rst \
	$(SRC)/click/doc/click.rst \
	$(SRC)/csma/doc/csma.rst \
	$(SRC)/dsdv/doc/dsdv.rst \
	$(SRC)/dsr/doc/dsr.rst \
	$(SRC)/mpi/doc/distributed.rst \
	$(SRC)/energy/doc/energy.rst \
	$(SRC)/fd-net-device/doc/fd-net-device.rst \
	$(SRC)/tap-bridge/doc/tap.rst \
	$(SRC)/mesh/doc/mesh.rst \
	$(SRC)/lte/doc/source/lte.rst \
	$(SRC)/lte/doc/source/lte-user.rst \
	$(SRC)/lte/doc/source/lte-design.rst \
	$(SRC)/lte/doc/source/lte-testing.rst \
	$(SRC)/lte/doc/source/lte-profiling.rst \
	$(SRC)/lte/doc/source/lte-references.rst \
	$(SRC)/propagation/doc/propagation.rst \
	$(SRC)/network/doc/network-overview.rst \
	$(SRC)/network/doc/packets.rst \
	$(SRC)/network/doc/error-model.rst \
	$(SRC)/network/doc/sockets-api.rst \
	$(SRC)/network/doc/simple.rst \
	$(SRC)/network/doc/queue.rst \
	$(SRC)/internet/doc/internet-stack.rst \
	$(SRC)/internet/doc/ipv4.rst \
	$(SRC)/internet/doc/ipv6.rst \
	$(SRC)/internet/doc/routing-overview.rst \
	$(SRC)/internet/doc/tcp.rst \
	$(SRC)/mobility/doc/mobility.rst \
	$(SRC)/olsr/doc/olsr.rst \
	$(SRC)/openflow/doc/openflow-switch.rst \
	$(SRC)/point-to-point/doc/point-to-point.rst \
	$(SRC)/wifi/doc/wifi.rst \
	$(SRC)/wimax/doc/wimax.rst \
	$(SRC)/uan/doc/uan.rst \
	$(SRC)/topology-read/doc/topology.rst \
	$(SRC)/stats/doc/statistics.rst \
	$(SRC)/netanim/doc/animation.rst \
	$(SRC)/flow-monitor/doc/flow-monitor.rst \

# list all model library figure files that need to be copied to 
# $SOURCETEMP/figures.  For each figure to be included in all
# documentation formats (html, latex...) the following formats are supported: 
#  1) a single .dia file (preferred option, because it can be edited)
#  2) a single .eps file
#  3) both a .pdf and .png file
SOURCEFIGS = \
	figures/testbed.dia \
	figures/emulated-channel.dia \
	$(SRC)/antenna/doc/source/figures/antenna-coordinate-system.dia	\
	$(SRC)/network/doc/packet.dia \
	$(SRC)/network/doc/node.dia \
	$(SRC)/network/doc/buffer.dia \
	$(SRC)/network/doc/sockets-overview.dia \
	$(SRC)/internet/doc/internet-node-send.dia \
	$(SRC)/internet/doc/internet-node-recv.dia \
	$(SRC)/internet/doc/routing.dia \
	$(SRC)/internet/doc/routing-specialization.dia \
	$(SRC)/wifi/doc/WifiArchitecture.dia \
	$(SRC)/wifi/doc/snir.dia \
	$(SRC)/wimax/doc/WimaxArchitecture.dia \
	$(SRC)/lte/doc/source/figures/epc-ctrl-arch.dia \
	$(SRC)/lte/doc/source/figures/epc-data-flow-dl.dia \
	$(SRC)/lte/doc/source/figures/epc-data-flow-ul.dia \
	$(SRC)/lte/doc/source/figures/epc-profiling-scenario.dia \
	$(SRC)/lte/doc/source/figures/epc-topology.dia \
	$(SRC)/lte/doc/source/figures/epc-topology-x2-enhanced.dia \
	$(SRC)/lte/doc/source/figures/eutran-profiling-scenario.dia \
	$(SRC)/lte/doc/source/figures/ff-example.dia \
	$(SRC)/lte/doc/source/figures/ff-mac-saps.dia \
	$(SRC)/lte/doc/source/figures/lte-arch-enb-data.dia \
	$(SRC)/lte/doc/source/figures/lte-arch-enb-ctrl.dia \
	$(SRC)/lte/doc/source/figures/lte-arch-ue-data.dia \
	$(SRC)/lte/doc/source/figures/lte-arch-ue-ctrl.dia \
	$(SRC)/lte/doc/source/figures/lte-enb-phy.dia \
	$(SRC)/lte/doc/source/figures/lte-ue-phy.dia \
	$(SRC)/lte/doc/source/figures/lte-epc-e2e-data-protocol-stack.dia \
	$(SRC)/lte/doc/source/figures/lte-interference-test-scenario.dia \
	$(SRC)/lte/doc/source/figures/lte-subframe-structure.dia \
	$(SRC)/lte/doc/source/figures/lte-epc-x2-interface.dia \
	$(SRC)/lte/doc/source/figures/lte-harq-architecture.dia \
	$(SRC)/lte/doc/source/figures/lte-harq-processes-scheme.dia \
	$(SRC)/lte/doc/source/figures/lena-dual-stripe.eps \
	$(SRC)/lte/doc/source/figures/lte-mcs-index.eps \
	$(SRC)/lte/doc/source/figures/lenaThrTestCase1.eps \
	$(SRC)/lte/doc/source/figures/lenaThrTestCase2.eps \
	$(SRC)/lte/doc/source/figures/runningTime10s.eps \
	$(SRC)/lte/doc/source/figures/epcRunningTime.eps \
	$(SRC)/lte/doc/source/figures/propagationModel.eps \
	$(SRC)/lte/doc/source/figures/simulationTime.eps \
	$(SRC)/lte/doc/source/figures/epcSimulationTime.eps \
	$(SRC)/lte/doc/source/figures/epcEutranRunningTime.eps \
	$(SRC)/lte/doc/source/figures/profiling-memory.eps \
	$(SRC)/lte/doc/source/figures/lte-rlc-implementation-model.eps \
	$(SRC)/lte/doc/source/figures/lte-rlc-data-txon-dl.eps \
	$(SRC)/lte/doc/source/figures/lte-rlc-data-retx-dl.eps \
	$(SRC)/lte/doc/source/figures/lte-rlc-data-txon-ul.eps \
	$(SRC)/lte/doc/source/figures/lte-rlc-data-retx-ul.eps \
	$(SRC)/lte/doc/source/figures/lte-epc-x2-handover-seq-diagram.eps \
	$(SRC)/lte/doc/source/figures/lte-epc-x2-entity-saps.eps \
	$(SRC)/lte/doc/source/figures/fading_pedestrian.png \
	$(SRC)/lte/doc/source/figures/fading_vehicular.png \
	$(SRC)/lte/doc/source/figures/fading_urban_3kmph.png \
	$(SRC)/lte/doc/source/figures/fading_pedestrian.pdf \
	$(SRC)/lte/doc/source/figures/fading_vehicular.pdf \
	$(SRC)/lte/doc/source/figures/fading_urban_3kmph.pdf \
	$(SRC)/lte/doc/source/figures/MCS_1_4.pdf \
	$(SRC)/lte/doc/source/figures/MCS_1_4.png \
	$(SRC)/lte/doc/source/figures/MCS_5_8.pdf \
	$(SRC)/lte/doc/source/figures/MCS_5_8.png \
	$(SRC)/lte/doc/source/figures/MCS_9_12.pdf \
	$(SRC)/lte/doc/source/figures/MCS_9_12.png \
	$(SRC)/lte/doc/source/figures/MCS_13_16.pdf \
	$(SRC)/lte/doc/source/figures/MCS_13_16.png \
	$(SRC)/lte/doc/source/figures/MCS_17_20.pdf \
	$(SRC)/lte/doc/source/figures/MCS_17_20.png \
	$(SRC)/lte/doc/source/figures/MCS_21_24.pdf \
	$(SRC)/lte/doc/source/figures/MCS_21_24.png \
	$(SRC)/lte/doc/source/figures/MCS_25_28.pdf \
	$(SRC)/lte/doc/source/figures/MCS_25_28.png \
	$(SRC)/lte/doc/source/figures/MCS_29_29.pdf \
	$(SRC)/lte/doc/source/figures/MCS_29_29.png \
	$(SRC)/lte/doc/source/figures/MCS_2_test.png \
	$(SRC)/lte/doc/source/figures/MCS_2_test.pdf \
	$(SRC)/lte/doc/source/figures/MCS_12_test.png \
	$(SRC)/lte/doc/source/figures/MCS_12_test.pdf \
	$(SRC)/lte/doc/source/figures/MCS_16_test.png \
	$(SRC)/lte/doc/source/figures/MCS_16_test.pdf \
	$(SRC)/lte/doc/source/figures/miesm_scheme.pdf \
	$(SRC)/lte/doc/source/figures/miesm_scheme.png \
	$(SRC)/lte/doc/source/figures/lte-phy-interference.png \
	$(SRC)/lte/doc/source/figures/helpers.png \
	$(SRC)/lte/doc/source/figures/mac-random-access-contention.png \
	$(SRC)/lte/doc/source/figures/mac-random-access-noncontention.png \
	$(SRC)/lte/doc/source/figures/rrc-connection-establishment.png \
	$(SRC)/lte/doc/source/figures/rrc-connection-reconfiguration.png \
	$(SRC)/lte/doc/source/figures/rrc-connection-reconfiguration-handover.png \
	$(SRC)/lte/doc/source/figures/nas-attach.png \
	$(SRC)/lte/doc/source/figures/lte-phy-interference.pdf \
	$(SRC)/lte/doc/source/figures/helpers.pdf \
	$(SRC)/lte/doc/source/figures/mac-random-access-contention.pdf \
	$(SRC)/lte/doc/source/figures/mac-random-access-noncontention.pdf \
	$(SRC)/lte/doc/source/figures/rrc-connection-establishment.pdf \
	$(SRC)/lte/doc/source/figures/rrc-connection-reconfiguration.pdf \
	$(SRC)/lte/doc/source/figures/rrc-connection-reconfiguration-handover.pdf \
	$(SRC)/lte/doc/source/figures/nas-attach.pdf \
	$(SRC)/lte/doc/source/figures/lte-enb-rrc-states.png \
	$(SRC)/lte/doc/source/figures/lte-ue-rrc-states.png \
	$(SRC)/lte/doc/source/figures/lte-enb-rrc-states.pdf \
	$(SRC)/lte/doc/source/figures/lte-ue-rrc-states.pdf \
	$(SRC)/uan/doc/auvmobility-classes.dia \
	$(SRC)/stats/doc/Stat-framework-arch.png \
	$(SRC)/stats/doc/Wifi-default.png \
	$(SRC)/netanim/doc/figures/Dumbbell.png \
	$(SRC)/netanim/doc/figures/Dumbbell.pdf \
	$(SRC)/netanim/doc/figures/PacketStatistics.png \
	$(SRC)/netanim/doc/figures/PacketStatistics.pdf \
	$(SRC)/netanim/doc/figures/FastForward.png \
	$(SRC)/netanim/doc/figures/FastForward.pdf \
	$(SRC)/netanim/doc/figures/Wireless.png \
	$(SRC)/netanim/doc/figures/Wireless.pdf \
	$(SRC)/netanim/doc/figures/Precision.png \
	$(SRC)/netanim/doc/figures/Precision.pdf \
	$(SRC)/netanim/doc/figures/Persist.png \
	$(SRC)/netanim/doc/figures/Persist.pdf \
	$(SRC)/netanim/doc/figures/SimTime.png \
	$(SRC)/netanim/doc/figures/SimTime.pdf \
	$(SRC)/netanim/doc/figures/Trajectory.png \
	$(SRC)/netanim/doc/figures/Trajectory.pdf \
	$(SRC)/netanim/doc/figures/UpdateRateInterval.png \
	$(SRC)/netanim/doc/figures/UpdateRateInterval.pdf \
	$(SRC)/netanim/doc/figures/WithoutPrecision.png \
	$(SRC)/netanim/doc/figures/WithoutPrecision.pdf \
	$(SRC)/netanim/doc/figures/WithPrecision.png \
	$(SRC)/netanim/doc/figures/WithPrecision.pdf \

# specify figures from which .png and .pdf figures need to be
# generated (all dia and eps figures)
IMAGES_EPS = \
	$(FIGURES)/testbed.eps \
	$(FIGURES)/emulated-channel.eps \
	$(FIGURES)/packet.eps \
	$(FIGURES)/node.eps \
	$(FIGURES)/buffer.eps \
	$(FIGURES)/sockets-overview.eps \
	$(FIGURES)/antenna-coordinate-system.eps \
	$(FIGURES)/internet-node-send.eps \
	$(FIGURES)/internet-node-recv.eps \
	$(FIGURES)/routing.eps \
	$(FIGURES)/routing-specialization.eps \
	$(FIGURES)/WifiArchitecture.eps \
	$(FIGURES)/snir.eps \
	$(FIGURES)/WimaxArchitecture.eps \
	$(FIGURES)/epc-ctrl-arch.eps \
	$(FIGURES)/epc-data-flow-dl.eps \
	$(FIGURES)/epc-data-flow-ul.eps \
	$(FIGURES)/epc-profiling-scenario.eps \
	$(FIGURES)/epc-topology.eps \
	$(FIGURES)/epc-topology-x2-enhanced.eps \
	$(FIGURES)/eutran-profiling-scenario.eps \
	$(FIGURES)/ff-example.eps \
	$(FIGURES)/ff-mac-saps.eps \
	$(FIGURES)/lte-arch-enb-data.eps \
	$(FIGURES)/lte-arch-enb-ctrl.eps \
	$(FIGURES)/lte-arch-ue-data.eps \
	$(FIGURES)/lte-arch-ue-ctrl.eps \
	$(FIGURES)/lte-enb-phy.eps \
	$(FIGURES)/lte-ue-phy.eps \
	$(FIGURES)/lte-epc-e2e-data-protocol-stack.eps \
	$(FIGURES)/lte-interference-test-scenario.eps \
	$(FIGURES)/lte-subframe-structure.eps \
	$(FIGURES)/lte-epc-x2-interface.eps \
	$(FIGURES)/lte-harq-architecture.eps \
	$(FIGURES)/lte-harq-processes-scheme.eps \
	$(FIGURES)/lena-dual-stripe.eps \
	$(FIGURES)/lte-mcs-index.eps \
	$(FIGURES)/lenaThrTestCase1.eps \
	$(FIGURES)/lenaThrTestCase2.eps \
	$(FIGURES)/runningTime10s.eps \
	$(FIGURES)/epcRunningTime.eps \
	$(FIGURES)/propagationModel.eps \
	$(FIGURES)/simulationTime.eps \
	$(FIGURES)/epcSimulationTime.eps \
	$(FIGURES)/epcEutranRunningTime.eps \
	$(FIGURES)/profiling-memory.eps \
	$(FIGURES)/lte-rlc-implementation-model.eps \
	$(FIGURES)/lte-rlc-data-txon-dl.eps \
	$(FIGURES)/lte-rlc-data-retx-dl.eps \
	$(FIGURES)/lte-rlc-data-txon-ul.eps \
	$(FIGURES)/lte-rlc-data-retx-ul.eps \
	$(FIGURES)/lte-epc-x2-handover-seq-diagram.eps \
	$(FIGURES)/lte-epc-x2-entity-saps.eps \
	$(FIGURES)/auvmobility-classes.eps \

# rescale pdf figures as necessary
$(FIGURES)/testbed.pdf_width = 5in
$(FIGURES)/emulated-channel.pdf_width = 6in
$(FIGURES)/antenna-coordinate-system.pdf_width = 7cm	
$(FIGURES)/node.pdf_width = 5in
$(FIGURES)/packet.pdf_width = 4in
$(FIGURES)/buffer.pdf_width = 15cm
$(FIGURES)/sockets-overview.pdf_width = 10cm
$(FIGURES)/internet-node-send.pdf_width = 5in
$(FIGURES)/internet-node-recv.pdf_width = 5in
$(FIGURES)/routing.pdf_width = 6in
$(FIGURES)/routing-specialization.pdf_width = 5in
$(FIGURES)/snir.pdf_width = 3in
$(FIGURES)/lte-interference-test-scenario.pdf_width = 3in
$(FIGURES)/epc-topology.pdf_width = 4in

=== ns-3.17/examples/realtime/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_program('realtime-udp-echo', ['csma', 'internet'])
    obj.source = 'realtime-udp-echo.cc'

    bld.register_ns3_script('realtime-udp-echo.py', ['csma', 'internet', 'applications'])

=== ns-3.17/src/applications/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    module = bld.create_ns3_module('applications', ['internet', 'config-store', 'tools'])
    module.source = [
        'model/bulk-send-application.cc',
        'model/onoff-application.cc',
        'model/packet-sink.cc',
        'model/ping6.cc',
        'model/radvd.cc',
        'model/radvd-interface.cc',
        'model/radvd-prefix.cc',
        'model/udp-client.cc',
        'model/udp-server.cc',
        'model/seq-ts-header.cc',
        'model/udp-trace-client.cc',
        'model/packet-loss-counter.cc',
        'model/udp-echo-client.cc',
        'model/udp-echo-server.cc',
        'model/v4ping.cc',
        'helper/bulk-send-helper.cc',
        'helper/on-off-helper.cc',
        'helper/packet-sink-helper.cc',
        'helper/ping6-helper.cc',
        'helper/udp-client-server-helper.cc',
        'helper/udp-echo-helper.cc',
        'helper/v4ping-helper.cc',
        ]

    applications_test = bld.create_ns3_module_test_library('applications')
    applications_test.source = [
        'test/udp-client-server-test.cc',
        ]

    headers = bld(features='ns3header')
    headers.module = 'applications'
    headers.source = [
        'model/bulk-send-application.h',
        'model/onoff-application.h',
        'model/packet-sink.h',
        'model/ping6.h',
        'model/radvd.h',
        'model/radvd-interface.h',
        'model/radvd-prefix.h',
        'model/udp-client.h',
        'model/udp-server.h',
        'model/seq-ts-header.h',
        'model/udp-trace-client.h',
        'model/packet-loss-counter.h',
        'model/udp-echo-client.h',
        'model/udp-echo-server.h',
        'model/v4ping.h',
        'helper/bulk-send-helper.h',
        'helper/on-off-helper.h',
        'helper/packet-sink-helper.h',
        'helper/ping6-helper.h',
        'helper/udp-client-server-helper.h',
        'helper/udp-echo-helper.h',
        'helper/v4ping-helper.h',
        ]

    bld.ns3_python_bindings()

=== ns-3.17/src/csma/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    obj = bld.create_ns3_module('csma', ['network', 'applications'])
    obj.source = [
        'model/backoff.cc',
        'model/csma-net-device.cc',
        'model/csma-channel.cc',
        'helper/csma-helper.cc',
        ]
    headers = bld(features='ns3header')
    headers.module = 'csma'
    headers.source = [
        'model/backoff.h',
        'model/csma-net-device.h',
        'model/csma-channel.h',
        'helper/csma-helper.h',
        ]

    if bld.env['ENABLE_EXAMPLES']:
        bld.recurse('examples')

    bld.ns3_python_bindings()

=== ns-3.17/src/emu/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

import os.path

def configure(conf):
    if conf.env['ENABLE_THREADING']:
        conf.env['ENABLE_EMU'] = conf.check_nonfatal(header_name='netpacket/packet.h',
                                            define_name='HAVE_PACKET_H')
        conf.report_optional_feature("EmuNetDevice", "Emulated Net Device",
                                     conf.env['ENABLE_EMU'],
                                     "<netpacket/packet.h> include not detected")
    else:
        conf.report_optional_feature("EmuNetDevice", "Emulated Net Device",
                                     False,
                                     "needs threading support which is not available")

    if conf.env['ENABLE_EMU']:
        #blddir = conf.bldnode.abspath()
        blddir = os.path.abspath(os.path.join(conf.bldnode.abspath(), conf.variant))
        emucreatordir = os.path.abspath(os.path.join(blddir, "src/emu"))
        conf.env.append_value('NS3_EXECUTABLE_PATH', emucreatordir)
    else:
        # Add this module to the list of modules that won't be built
        # if they are enabled.
        conf.env['MODULES_NOT_BUILT'].append('emu')

def build(bld):
    # Don't do anything for this module if emu's not enabled.
    if not bld.env['ENABLE_EMU']:
        return

    module = bld.create_ns3_module('emu', ['network'])
    module.source = [
            'model/emu-net-device.cc',
            'model/emu-encode-decode.cc',
            'helper/emu-helper.cc',
        ]

    headers = bld(features='ns3header')
    headers.module = 'emu'
    headers.source = [
            'model/emu-net-device.h',
            'helper/emu-helper.h',
        ]

    creator = bld.create_suid_program('emu-sock-creator')
    creator.source = [
        'model/emu-sock-creator.cc',
        'model/emu-encode-decode.cc',
        ]

    module.env.append_value("DEFINES", "EMU_SOCK_CREATOR=\"%s\"" % (creator.target,))

    if bld.env['ENABLE_EXAMPLES']:
        bld.recurse('examples')

    bld.ns3_python_bindings()

=== ns-3.17/src/mobility/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    mobility = bld.create_ns3_module('mobility', ['network'])
    mobility.source = [
        'model/box.cc',
        'model/constant-acceleration-mobility-model.cc',
        'model/constant-position-mobility-model.cc',
        'model/constant-velocity-helper.cc',
        'model/constant-velocity-mobility-model.cc',
        'model/gauss-markov-mobility-model.cc',
        'model/hierarchical-mobility-model.cc',
        'model/mobility-model.cc',
        'model/position-allocator.cc',
        'model/random-direction-2d-mobility-model.cc',
        'model/random-walk-2d-mobility-model.cc',
        'model/random-waypoint-mobility-model.cc',
        'model/rectangle.cc',
        'model/steady-state-random-waypoint-mobility-model.cc',
        'model/waypoint.cc',
        'model/waypoint-mobility-model.cc',
        'helper/mobility-helper.cc',
        'helper/ns2-mobility-helper.cc',
        ]

    mobility_test = bld.create_ns3_module_test_library('mobility')
    mobility_test.source = [
        'test/mobility-trace-test-suite.cc',
        'test/ns2-mobility-helper-test-suite.cc',
        'test/steady-state-random-waypoint-mobility-model-test.cc',
        'test/waypoint-mobility-model-test.cc',
        ]

    headers = bld(features='ns3header')
    headers.module = 'mobility'
    headers.source = [
        'model/box.h',
        'model/constant-acceleration-mobility-model.h',
        'model/constant-position-mobility-model.h',
        'model/constant-velocity-helper.h',
        'model/constant-velocity-mobility-model.h',
        'model/gauss-markov-mobility-model.h',
        'model/hierarchical-mobility-model.h',
        'model/mobility-model.h',
        'model/position-allocator.h',
        'model/rectangle.h',
        'model/random-direction-2d-mobility-model.h',
        'model/random-walk-2d-mobility-model.h',
        'model/random-waypoint-mobility-model.h',
        'model/steady-state-random-waypoint-mobility-model.h',
        'model/waypoint.h',
        'model/waypoint-mobility-model.h',
        'helper/mobility-helper.h',
        'helper/ns2-mobility-helper.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
        bld.recurse('examples')

    bld.ns3_python_bindings()

=== ns-3.17/src/network/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):
    network = bld.create_ns3_module('network', ['core'])
    network.source = [
        'model/address.cc',
        'model/application.cc',
        'model/buffer.cc',
        'model/byte-tag-list.cc',
        'model/channel.cc',
        'model/channel-list.cc',
        'model/chunk.cc',
        'model/header.cc',
        'model/nix-vector.cc',
        'model/node.cc',
        'model/node-list.cc',
        'model/net-device.cc',
        'model/packet.cc',
        'model/packet-metadata.cc',
        'model/packet-tag-list.cc',
        'model/socket.cc',
        'model/socket-factory.cc',
        'model/tag.cc',
        'model/tag-buffer.cc',
        'model/trailer.cc',
        'utils/address-utils.cc',
        'utils/ascii-file.cc',
        'utils/data-rate.cc',
        'utils/drop-tail-queue.cc',
        'utils/error-model.cc',
        'utils/ethernet-header.cc',
        'utils/ethernet-trailer.cc',
        'utils/flow-id-tag.cc',
        'utils/inet-socket-address.cc',
        'utils/inet6-socket-address.cc',
        'utils/ipv4-address.cc',
        'utils/ipv6-address.cc',
        'utils/mac48-address.cc',
        'utils/mac64-address.cc',
        'utils/llc-snap-header.cc',
        'utils/output-stream-wrapper.cc',
        'utils/packetbb.cc',
        'utils/packet-burst.cc',
        'utils/packet-socket.cc',
        'utils/packet-socket-address.cc',
        'utils/packet-socket-factory.cc',
        'utils/pcap-file.cc',
        'utils/pcap-file-wrapper.cc',
        'utils/queue.cc',
        'utils/radiotap-header.cc',
        'utils/red-queue.cc',
        'utils/simple-channel.cc',
        'utils/simple-net-device.cc',
        'helper/application-container.cc',
        'helper/net-device-container.cc',
        'helper/node-container.cc',
        'helper/packet-socket-helper.cc',
        'helper/trace-helper.cc',
        ]

    network_test = bld.create_ns3_module_test_library('network')
    network_test.source = [
        'test/buffer-test.cc',
        'test/drop-tail-queue-test-suite.cc',
        'test/error-model-test-suite.cc',
        'test/ipv6-address-test-suite.cc',
        'test/packetbb-test-suite.cc',
        'test/packet-test-suite.cc',
        'test/packet-metadata-test.cc',
        'test/pcap-file-test-suite.cc',
        'test/red-queue-test-suite.cc',
        'test/sequence-number-test-suite.cc',
        ]

    headers = bld(features='ns3header')
    headers.module = 'network'
    headers.source = [
        'model/address.h',
        'model/application.h',
        'model/buffer.h',
        'model/byte-tag-list.h',
        'model/channel.h',
        'model/channel-list.h',
        'model/chunk.h',
        'model/header.h',
        'model/net-device.h',
        'model/nix-vector.h',
        'model/node.h',
        'model/node-list.h',
        'model/packet.h',
        'model/packet-metadata.h',
        'model/packet-tag-list.h',
        'model/socket.h',
        'model/socket-factory.h',
        'model/tag.h',
        'model/tag-buffer.h',
        'model/trailer.h',
        'utils/address-utils.h',
        'utils/ascii-file.h',
        'utils/ascii-test.h',
        'utils/data-rate.h',
        'utils/drop-tail-queue.h',
        'utils/error-model.h',
        'utils/ethernet-header.h',
        'utils/ethernet-trailer.h',
        'utils/flow-id-tag.h',
        'utils/inet-socket-address.h',
        'utils/inet6-socket-address.h',
        'utils/ipv4-address.h',
        'utils/ipv6-address.h',
        'utils/llc-snap-header.h',
        'utils/mac48-address.h',
        'utils/mac64-address.h',
        'utils/output-stream-wrapper.h',
        'utils/packetbb.h',
        'utils/packet-burst.h',
        'utils/packet-socket.h',
        'utils/packet-socket-address.h',
        'utils/packet-socket-factory.h',
        'utils/pcap-file.h',
        'utils/pcap-file-wrapper.h',
        'utils/generic-phy.h',
        'utils/queue.h',
        'utils/radiotap-header.h',
        'utils/red-queue.h',
        'utils/sequence-number.h',
        'utils/sgi-hashmap.h',
        'utils/simple-channel.h',
        'utils/simple-net-device.h',
        'utils/pcap-test.h',
        'helper/application-container.h',
        'helper/net-device-container.h',
        'helper/node-container.h',
        'helper/packet-socket-helper.h',
        'helper/trace-helper.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
        bld.recurse('examples')

    bld.ns3_python_bindings()

=== ns-3.17/src/spectrum/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):

    module = bld.create_ns3_module('spectrum', ['internet', 'propagation', 'antenna', 'applications'])
    module.source = [
        'model/spectrum-model.cc',
        'model/spectrum-value.cc',
        'model/spectrum-converter.cc',
        'model/spectrum-signal-parameters.cc',
        'model/spectrum-propagation-loss-model.cc',
        'model/friis-spectrum-propagation-loss.cc',
        'model/constant-spectrum-propagation-loss.cc',
        'model/spectrum-phy.cc',
        'model/spectrum-channel.cc',        
        'model/single-model-spectrum-channel.cc',
        'model/multi-model-spectrum-channel.cc',
        'model/spectrum-interference.cc',
        'model/spectrum-error-model.cc',
        'model/spectrum-model-ism2400MHz-res1MHz.cc',
        'model/spectrum-model-300kHz-300GHz-log.cc', 
        'model/wifi-spectrum-value-helper.cc',
        'model/waveform-generator.cc',
        'model/spectrum-analyzer.cc',
        'model/aloha-noack-mac-header.cc',
        'model/aloha-noack-net-device.cc',
        'model/half-duplex-ideal-phy.cc',
        'model/half-duplex-ideal-phy-signal-parameters.cc',
        'model/non-communicating-net-device.cc',
        'model/microwave-oven-spectrum-value-helper.cc',
        'helper/spectrum-helper.cc',
        'helper/adhoc-aloha-noack-ideal-phy-helper.cc',
        'helper/waveform-generator-helper.cc',
        'helper/spectrum-analyzer-helper.cc',
        ]

    module_test = bld.create_ns3_module_test_library('spectrum')
    module_test.source = [
        'test/spectrum-interference-test.cc',
        'test/spectrum-value-test.cc',
        'test/spectrum-ideal-phy-test.cc',
        ]
    
    headers = bld(features='ns3header')
    headers.module = 'spectrum'
    headers.source = [
        'model/spectrum-model.h',
        'model/spectrum-value.h',
        'model/spectrum-converter.h',
        'model/spectrum-signal-parameters.h',
        'model/spectrum-propagation-loss-model.h',
        'model/friis-spectrum-propagation-loss.h',
        'model/constant-spectrum-propagation-loss.h',
        'model/spectrum-phy.h',
        'model/spectrum-channel.h',
        'model/single-model-spectrum-channel.h', 
        'model/multi-model-spectrum-channel.h',
        'model/spectrum-interference.h',
        'model/spectrum-error-model.h',
        'model/spectrum-model-ism2400MHz-res1MHz.h',
        'model/spectrum-model-300kHz-300GHz-log.h',
        'model/wifi-spectrum-value-helper.h',
        'model/waveform-generator.h',       
        'model/spectrum-analyzer.h',
        'model/aloha-noack-mac-header.h',
        'model/aloha-noack-net-device.h',
        'model/half-duplex-ideal-phy.h',
        'model/half-duplex-ideal-phy-signal-parameters.h',
        'model/non-communicating-net-device.h',
        'model/microwave-oven-spectrum-value-helper.h',
        'helper/spectrum-helper.h',
        'helper/adhoc-aloha-noack-ideal-phy-helper.h',
        'helper/waveform-generator-helper.h',
        'helper/spectrum-analyzer-helper.h',
        'test/spectrum-test.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
        bld.recurse('examples')


    bld.ns3_python_bindings()

=== ns-3.17/src/tools/wscript ===
## -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

def build(bld):

    module = bld.create_ns3_module('tools', ['network', 'stats'])
    module.source = [
        'model/event-garbage-collector.cc',
        'model/gnuplot.cc',
        'model/delay-jitter-estimation.cc',
        ]

    module_test = bld.create_ns3_module_test_library('tools')
    module_test.source = [
        'test/average-test-suite.cc',
        'test/event-garbage-collector-test-suite.cc',
        ]
    
    headers = bld(features='ns3header')
    headers.module = 'tools'
    headers.source = [
        'model/average.h',
        'model/event-garbage-collector.h',
        'model/gnuplot.h',
        'model/delay-jitter-estimation.h',
        ]

    if (bld.env['ENABLE_EXAMPLES']):
        bld.recurse('examples')

    bld.ns3_python_bindings()

=== debian/control ===
Source: ns3
Section: net
Priority: optional
Standards-Version: 3.9.4
Maintainer: Debian Network Simulators Team <pkg-netsim-devel@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 9), quilt (>= 0.46-7~), pkg-config,
 python-dev, libxml2-dev, libgsl0-dev, libsqlite3-dev, libgraphviz-dev,
 flex, bison, libboost-signals-dev, libboost-filesystem-dev, python-pygoocanvas, python-pygraphviz,
 libopenmpi-dev [alpha amd64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc sparc]
Build-Depends-Indep: dia, doxygen, python-sphinx, texlive-font-utils, optipng,
 ghostscript, texlive-latex-extra, texlive-latex-base, texlive-latex-recommended, imagemagick,
Build-Conflicts: libmpich2-dev
Vcs-git: git://git.debian.org/pkg-netsim/ns3.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-netsim/ns3.git
Homepage: http://www.nsnam.org/

Package: ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: discrete-event network simulator for Internet systems
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use.
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains several utilities. The files for development
 are in libns3-3, libns3-dev and python-ns3.

Package: ns3-doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Section: doc
Description: documentation for ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains manual, modules, tutorial and doxygen.

Package: libns3-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: shared libraries of ns-3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains shared libraries.

Package: libns3-3-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libns3-3
Description: shared libraries of ns-3 (debug extension)
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains shared libraries.
 .
 This package contains the debugging symbols.

Package: libns3-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libdevel
Description: Static and header files of ns-3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains static libraries, header files.

Package: python-ns3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Section: python
Suggests: python-pygraphviz, python-kiwi, python-pygoocanvas, tcpdump
Description: Python binding of ns3
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains Python binding of ns3.

Package: python-ns3-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-ns3
Section: debug
Priority: extra
Suggests: python-pygraphviz, python-kiwi, python-pygoocanvas, tcpdump
Description: Python binding of ns3 (debug extension)
 ns-3 is a discrete-event network simulator for Internet systems, 
 targeted primarily for research and educational use. 
 ns-3 is free software, licensed under the GNU GPLv2 license, 
 and is publicly available for research, development, and use. 
 ns-3 is intended as an eventual replacement for the popular
 ns-2 simulator. The project acronym “nsnam” derives 
 historically from the concatenation of ns (network simulator) 
 and NAM (network animator). 
 .
 This package contains Python binding of ns3.
 .
 This package contains the debugging symbols.
